Package com.smartgwt.client.types

# Enum CurrentPane

java.lang.Object
java.lang.Enum<CurrentPane>
com.smartgwt.client.types.CurrentPane

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<CurrentPane>`, `Constable`

public enum CurrentPane extends Enum<CurrentPane> implements ValueEnum
Possible values for the current pane showing in a `SplitPane`. See `SplitPane.currentPane` for details.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DETAIL`
  `SplitPane.detailPane` is the most recently shown
  `LIST`
  `SplitPane.listPane` is the most recently shown
  `NAVIGATION`
  `SplitPane.navigationPane` is the most recently shown

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static CurrentPane`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CurrentPane[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NAVIGATION

    public static final CurrentPane NAVIGATION
    `SplitPane.navigationPane` is the most recently shown

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "navigation".

  - ### LIST

    public static final CurrentPane LIST
    `SplitPane.listPane` is the most recently shown

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "list".

  - ### DETAIL

    public static final CurrentPane DETAIL
    `SplitPane.detailPane` is the most recently shown

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "detail".

- ## Method Details

  - ### values

    public static CurrentPane[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CurrentPane valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`